<?php
/**
* テキストHTMLレンダラクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_TextHTMLRenderer extends charcoal_HTMLRenderer
{
	private $_text;

	/*
	 *	コンストラクタ
	 */
	public function __construct( charcoal_String $text )
	{
		$this->_text    = $text;
	}

	/*
	 *	子要素を追加
	 */
	public function appendChild( charcoal_HTMLRenderer $child )
	{
	}

	/*
	 *	HTML出力
	 */
	public function render()
	{
		// コンバータを作成
		$conv = charcoal_EncodingConverter::fromString( 'PHP_TO_HTML' );

		return $conv->convertEncoding( $this->_text );
	}

}
